NDMETIS(1)

NAME
ndmetis - manual page for ndmetis 5.1.0

SYNOPSIS
ndmetis [options] <filename>

DESCRIPTION

    Required parameters

filename
    Stores the graph to be partitioned.

    Optional parameters

-ctype=string

    Specifies the scheme to be used to match the vertices of the graph during the coarsening. The possible values are:

rm  - Random matching

shem
    - Sorted heavy-edge matching [default]

-iptype=string [applies only when -ptype=rb]

    Specifies the scheme to be used to compute the initial bisection of the graph. The possible values are:

edge
    - Separator from an edge cut

node
    - Separator from a greedy node-based strategy [default]

-rtype=string

    Specifies the scheme to be used for refinement. The possible values are:

1sided
    - 1-sided node-based refinement [default]

2sided
    - 2-sided node-based refinement

-ufactor=int

    Specifies the maximum allowed load imbalance between the left and right partitions during each bisection. The load imbalanced is measured as the ratio of the 2*max(left,right)/(left+right), where left and right are the sizes of the respective partitions. A value of x indicates that the allowed load imbalance is 1+x/1000. Default is 200, indicating a load imbalance of 1.20.

-pfactor=int

    Specifies the minimum degree of the vertices that will be ordered last. If the specified value is x>0, then any vertices with a degree greater than 0.1*x*(average degree) are removed from the graph, an ordering of the rest of the vertices is computed, and an overall ordering is computed by ordering the removed vertices at the end of the overall ordering. Default value is 0, indicating that no vertices are removed

-no2hop

    Specifies that the coarsening will not perform any 2-hop matchings when the standard matching fails to sufficiently contract the graph.

-nocompress

    Specifies that the graph should not be compressed by combining together vertices that have identical adjacency lists.

-ccorder

    Specifies if the connected components of the graph should first be identified and ordered separately.

-niter=int

    Specifies the maximum number of iterations for the refinement algorithms at each stage of the uncoarsening process. Default is 10.

-nseps=int

    Specifies the number of different separators that it will compute at each level of the nested dissection. The final separator that is used is the smallest one. Default is 1.

-nooutput

    Specifies that no ordering file should be generated.

-seed=int

    Selects the seed of the random number generator.

-dbglvl=int

    Selects the dbglvl.

-help

    Prints this message.

SEE ALSO
The full documentation for ndmetis is maintained as a Texinfo manual. If the info and ndmetis programs are properly installed at your site, the command

    info ndmetis

should give you access to the complete manual.